Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::SensitivityStepCalculator Class Referenceabstract

`#include <SensStepCalc.hpp>`

Inheritance diagram for Ipopt::SensitivityStepCalculator:
[legend]

## Public Member Functions
| SensitivityStepCalculator ()
virtual | ~SensitivityStepCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class. More...
bool | Do_Boundcheck () const
void | SetSchurDriver (SmartPtr< SchurDriver > driver)
SmartPtr< SchurDriver > | Driver ()
virtual bool | Step (DenseVector &delta_u, IteratesVector &sol)=0
| This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it. More...
virtual SmartPtr< IteratesVector > | GetSensitivityVector ()=0
| return the sensitivity vector More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
SmartPtr< SchurDriver > | driver_
bool | do_boundcheck_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 20 of file SensStepCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::SensitivityStepCalculator::SensitivityStepCalculator | ( |  | ) |
| inline

Definition at line 25 of file SensStepCalc.hpp.

virtual Ipopt::SensitivityStepCalculator::~SensitivityStepCalculator | ( |  | ) |
| inline virtual

Definition at line 32 of file SensStepCalc.hpp.

## Member Function Documentation

virtual bool Ipopt::SensitivityStepCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| inline virtual

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::StdStepCalculator.

Definition at line 36 of file SensStepCalc.hpp.

bool Ipopt::SensitivityStepCalculator::Do_Boundcheck | ( |  | ) | const
| inline

Definition at line 43 of file SensStepCalc.hpp.

void Ipopt::SensitivityStepCalculator::SetSchurDriver | ( | SmartPtr< SchurDriver > | driver | ) |
| inline

Definition at line 48 of file SensStepCalc.hpp.

SmartPtr<SchurDriver> Ipopt::SensitivityStepCalculator::Driver | ( |  | ) |
| inline

Definition at line 58 of file SensStepCalc.hpp.

virtual bool Ipopt::SensitivityStepCalculator::Step | ( | DenseVector & | delta_u,
|  | IteratesVector & | sol
| ) |  |
| pure virtual

This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.

Implemented in Ipopt::StdStepCalculator.

virtual SmartPtr<IteratesVector> Ipopt::SensitivityStepCalculator::GetSensitivityVector | ( |  | ) |
| pure virtual

return the sensitivity vector

Implemented in Ipopt::StdStepCalculator.

## Member Data Documentation

SmartPtr<SchurDriver> Ipopt::SensitivityStepCalculator::driver_
| private

Definition at line 72 of file SensStepCalc.hpp.

bool Ipopt::SensitivityStepCalculator::do_boundcheck_
| private

Definition at line 73 of file SensStepCalc.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensStepCalc.hpp